unit LanguageControl;

interface

implementation

uses
  Windows, Consts;

//Associa um novo valor  string de recurso
procedure HookResourceString(ResStringRec: pResStringRec; NewStr: pChar);
var
  OldProtect: DWORD;
begin
  VirtualProtect(ResStringRec, SizeOf(ResStringRec^), PAGE_EXECUTE_READWRITE,
    @OldProtect);
  ResStringRec^.Identifier := Integer(NewStr);
  VirtualProtect(ResStringRec, SizeOf(ResStringRec^), OldProtect, @OldProtect);
end;

initialization

HookResourceString(@SCannotOpenClipboard, 'No  possvel acessar a rea de transferncia');
HookResourceString(@SMsgDlgWarning, 'Ateno');
HookResourceString(@SMsgDlgError, 'Erro');
HookResourceString(@SMsgDlgInformation, 'Informao');
HookResourceString(@SMsgDlgConfirm, 'Confirmao');
HookResourceString(@SMsgDlgYes, 'Sim');
HookResourceString(@SMsgDlgNo, 'No');
HookResourceString(@SMsgDlgOK, 'Ok');
HookResourceString(@SMsgDlgCancel, 'Cancelar');
HookResourceString(@SMsgDlgHelp, 'Ajuda');
HookResourceString(@SMsgDlgHelpNone, 'Nenhuma instruo');
HookResourceString(@SMsgDlgHelpHelp, 'Instrues');
HookResourceString(@SMsgDlgAbort, 'Abortar');
HookResourceString(@SMsgDlgRetry, 'Tentar novamente');
HookResourceString(@SMsgDlgIgnore, 'Ignorar');
HookResourceString(@SMsgDlgAll, 'Todos');
HookResourceString(@SMsgDlgNoToAll, 'No para todos');
HookResourceString(@SMsgDlgYesToAll, 'Sim para todos');
//mais strings voc encontra na unit Vcl.Consts

end.
