unit Unit2;

interface

uses
   Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
   Dialogs, frxClass, frxPreview, StdCtrls, ExtCtrls, Buttons, ComCtrls, StrUtils;

type
   TForm2 = class(TForm)
      Panel1: TPanel;
      StatusBar1: TStatusBar;
      SpeedButton1: TSpeedButton;
      SpeedButton2: TSpeedButton;
      SpeedButton3: TSpeedButton;
      SpeedButton4: TSpeedButton;
      SpeedButton5: TSpeedButton;
      SpeedButton6: TSpeedButton;
      SpeedButton10: TSpeedButton;
      Label1: TLabel;
      Edit1: TEdit;
      Label2: TLabel;
      ComboBox1: TComboBox;
      Label3: TLabel;
      Edit2: TEdit;
      SpeedButton8: TSpeedButton;
      SpeedButton9: TSpeedButton;
      Panel2: TPanel;
      frxPreview1: TfrxPreview;
      SpeedButton7: TSpeedButton;
      procedure SpeedButton1Click(Sender: TObject);
      procedure SpeedButton3Click(Sender: TObject);
      procedure SpeedButton4Click(Sender: TObject);
      procedure SpeedButton5Click(Sender: TObject);
      procedure SpeedButton6Click(Sender: TObject);
      procedure SpeedButton10Click(Sender: TObject);
      procedure SpeedButton2Click(Sender: TObject);
      procedure frxPreview1PageChanged(Sender: TfrxPreview; PageNo: Integer);
      procedure FormShow(Sender: TObject);
      procedure ComboBox1Change(Sender: TObject);
      procedure SpeedButton8Click(Sender: TObject);
      procedure SpeedButton9Click(Sender: TObject);
      procedure FormMouseWheel(Sender: TObject; Shift: TShiftState;
         WheelDelta: Integer; MousePos: TPoint; var Handled: Boolean);
      procedure FormActivate(Sender: TObject);
      procedure frxPreview1Click(Sender: TObject);
    procedure SpeedButton7Click(Sender: TObject);
   private
      { Private declarations }
   public
      { Public declarations }
   end;

var
   Form2: TForm2;

implementation

uses Unit1;

{$R *.dfm}

procedure TForm2.SpeedButton1Click(Sender: TObject);
begin
   frxPreview1.Print;
end;

procedure TForm2.SpeedButton3Click(Sender: TObject);
begin
   frxPreview1.First;
end;

procedure TForm2.SpeedButton4Click(Sender: TObject);
begin
   frxPreview1.Prior;
end;

procedure TForm2.SpeedButton5Click(Sender: TObject);
begin
   frxPreview1.Next;
end;

procedure TForm2.SpeedButton6Click(Sender: TObject);
begin
   frxPreview1.Last;
end;

procedure TForm2.SpeedButton10Click(Sender: TObject);
begin
   Close;
end;

procedure TForm2.SpeedButton2Click(Sender: TObject);
begin
   frxPreview1.Export(Form1.frxPDFExport1);
end;

procedure TForm2.frxPreview1PageChanged(Sender: TfrxPreview;
   PageNo: Integer);
begin
   StatusBar1.Panels[1].Text := 'Pg. ' + IntToStr(PageNo);
   StatusBar1.Panels[0].Text := 'Pginas: ' + IntToSTr(frxPreview1.PageCount);
end;

procedure TForm2.FormShow(Sender: TObject);
begin
   StatusBar1.Panels[0].Text := 'Pginas: ' + IntToSTr(frxPreview1.PageCount);
   frxPreview1.SetFocus;
end;

procedure TForm2.ComboBox1Change(Sender: TObject);
begin
   if Pos('%', ComboBox1.Text) > 0 then
   begin
      frxPreview1.ZoomMode := zmDefault;
      frxPreview1.Zoom := StrToInt(LeftStr(ComboBox1.Text, Pos('%', ComboBox1.Text) - 1)) / 100;
   end else
      if ComboBox1.Text = 'Pgina Inteira' then
         frxPreview1.ZoomMode := zmWholePage
      else
         frxPreview1.ZoomMode := zmPageWidth;
   frxPreview1.SetFocus;
end;

procedure TForm2.SpeedButton8Click(Sender: TObject);
begin
   frxPreview1.FindText(Edit2.Text, True, False);
   frxPreview1.SetFocus;
end;

procedure TForm2.SpeedButton9Click(Sender: TObject);
begin
   frxPreview1.FindNext;
   frxPreview1.SetFocus;
end;

procedure TForm2.FormMouseWheel(Sender: TObject; Shift: TShiftState;
   WheelDelta: Integer; MousePos: TPoint; var Handled: Boolean);
begin
   frxPreview1.MouseWheelScroll(WheelDelta);
   frxPreview1.SetFocus;
end;

procedure TForm2.FormActivate(Sender: TObject);
begin
   frxPreview1.SetFocus;
end;

procedure TForm2.frxPreview1Click(Sender: TObject);
begin
   frxPreview1.SetFocus;
end;

procedure TForm2.SpeedButton7Click(Sender: TObject);
begin
   frxPreview1.SetPosition(StrToInt(Edit1.Text), 0);
   StatusBar1.Panels[0].Text := 'Pginas: ' + IntToSTr(frxPreview1.PageCount);
   frxPreview1.SetFocus;
end;

end.

